Module javafx.graphics
Package javafx.scene.transform

## Class NonInvertibleTransformException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javafx.scene.transform.NonInvertibleTransformException

- All Implemented Interfaces:
    `Serializable`

      public class NonInvertibleTransformException
      extends Exception

  The `NonInvertibleTransformException` class represents an exception that is thrown if an operation is performed requiring the inverse of a `Transform` object which is in a non-invertible state.
  Since:
    JavaFX 8.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NonInvertibleTransformException​(String message)` | Creates a new instance of `NonInvertibleTransformException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonInvertibleTransformException

          public NonInvertibleTransformException​(String message)

      Creates a new instance of `NonInvertibleTransformException` with the specified detail message.
      Parameters:
        `message` - the detail message